Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.commons
[Java] Interface GrailsCodecClass

    org.codehaus.groovy.grails.support.encoding.CodecFactory
      org.codehaus.groovy.grails.plugins.support.aware.GrailsApplicationAware
          org.codehaus.groovy.grails.commons.GrailsClass
              org.codehaus.groovy.grails.commons.InjectableGrailsClass
                  org.codehaus.groovy.grails.commons.GrailsCodecClass

All Superinterfaces:
  CodecFactory, GrailsApplicationAware, GrailsClass, InjectableGrailsClass

    public interface GrailsCodecClass
    extends CodecFactory, InjectableGrailsClass

Provides access to Codec classes. A Codec class one that ends in the convention "Codec" and provides encode and decode methods or closure properties.

Authors:
  Jeff Brown

Since:
  0.4

Method Summary
`void` | `configureCodecMethods()`

Methods inherited from interface CodecFactory
getDecoder, getEncoder

Methods inherited from interface InjectableGrailsClass
byName, byType, getAvailable

Methods inherited from interface GrailsClass
getClazz, getFullName, getGrailsApplication, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getReferenceInstance, getShortName, hasProperty, isAbstract, newInstance

Methods inherited from interface GrailsApplicationAware
setGrailsApplication

Method Detail

### configureCodecMethods

    public void configureCodecMethods()

Groovy Documentation